---
title: Get a merchant information
slug: payment/get-a-merchant-information
description: Learn how to use the KlaviPay API to retrieve merchant information with a detailed curl command example. This document explains the GET request method and the necessary merchant code path parameter. Find out how to extract key details like the merchant na
docTags: 
createdAt: 2023-06-20T04:16:51.000Z
---

:::ApiMethodV2
```json
{
  "name": "merchants",
  "method": "GET",
  "url": "https://api-sandbox.klavi.ai/payment/management/v1/merchants",
  "description": "Get a merchant information",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "f3vd7N5GDx788uk5msUZF",
        "language": "curl",
        "code": "curl --location 'https://api-sandbox.klavi.ai/payment/management/v1/merchants' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      },
      {
        "id": "ejj0eVZN_z6TG8vD3XcLw",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'GET',\n   'url': 'https://api-sandbox.klavi.ai/payment/management/v1/merchants',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "hzuHcHevf33LsgkzLrcAD",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api-sandbox.klavi.ai/payment/management/v1/merchants\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "JFAyesgNrSvwYrVaRba5e",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api-sandbox.klavi.ai/payment/management/v1/merchants\"\n\npayload = {}\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "UXWwZsS9ZjjrnmZeMHC7G",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api-sandbox.klavi.ai/payment/management/v1/merchants\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "f3vd7N5GDx788uk5msUZF"
  },
  "results": {
    "languages": [
      {
        "id": "Z74TPfkRbXtDUtu4vWdKt",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"merchantName\": \"KlaviDemoName\",\n    \"merchantCode\": \"KbwxKq3\",\n    \"merchantCnpj\": \"32088314000184\",\n\t\"createAt\": \"2024-05-08T04:01:57Z\",\n\t\"updateAt\": \"2025-02-11T19:26:31Z\"\n}"
      }
    ],
    "selectedLanguageId": "Z74TPfkRbXtDUtu4vWdKt"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "Bearer access token, it returned by the /auth",
        "": "Bearer access token, it returned by the /auth"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "response": [
    {
      "name": "merchantName",
      "kind": "optional",
      "type": "string",
      "description": "Merchant name"
    },
    {
      "name": "merchantCode",
      "kind": "optional",
      "type": "string",
      "description": "Merchant code",
      "children": []
    },
    {
      "name": "merchantCnpj",
      "kind": "optional",
      "type": "string",
      "description": "The CNPJ of merchant",
      "children": []
    },
    {
      "name": "createAt",
      "kind": "optional",
      "type": "string",
      "description": "Create time",
      "children": []
    },
    {
      "name": "updateAt",
      "kind": "optional",
      "type": "string",
      "description": "Update time",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "merchants",
  "legacyHash": "OBxaTp6oB00JNqzI4X3cf"
}
```
:::



